STRUCT TEMPL(3)

NAME
boost::algorithm::FormatterConcept - Formatter concept.

SYNOPSIS

// In header: <boost/algorithm/string/concept.hpp>
template<typename FormatterT, typename FinderT, typename IteratorT>
struct FormatterConcept {
  // public member functions
  void constraints();
};

DESCRIPTION

Defines the Formatter concept. Formatter is a functor, which takes a result from a finder operation and transforms it in a specific way.

Result must be a container supported by container_traits, or a reference to it.

  FormatterConcept public member functions

    1.

    void constraints();